package com.servlet.dao;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;

import com.servlet.entidade.Produto;

public class ProdutoDAO {

	// metodo para inserir no banco //
		public void inserir(String nomeItem, String descricao, int quantidade, double valor, int desconto) {
			try {
				// obtendo conexo //
				String URL = "jdbc:mysql://localhost:3306/aula";
				Class.forName("com.mysql.jdbc.Driver");
				Connection con = DriverManager.getConnection(URL, "root", "root");

				// preparando a sql //
				String sql = "INSERT INTO produtos (nomeItem,descricao,quantidade,valor,desconto) values (?,?)";
				PreparedStatement comando = con.prepareStatement(sql);
				comando.setString(1, nomeItem);
				comando.setString(2, descricao);
				comando.setInt(3, quantidade);
				comando.setDouble(4, valor);
				comando.setInt(5, desconto);

				// executando sql //
				comando.executeUpdate();

				// fechando
				comando.close();
				con.close();
			} catch (Exception e) {
				// imprimir o erro no console //
				e.printStackTrace();
			}
		}

		// metodo para inserir no banco //
		public void inserir(Produto novoProduto) {
			try {
				// obtendo conexo //
				String URL = "jdbc:mysql://localhost:3306/aula";
				Class.forName("com.mysql.jdbc.Driver");
				Connection con = DriverManager.getConnection(URL, "root", "root");

				// preparando a sql //
				String sql = "INSERT INTO produtos (nomeItem,descricao,quantidade,valor,desconto) values (?,?)";
				PreparedStatement comando = con.prepareStatement(sql);
				comando.setString(1, novoProduto.getNomeItem());
				comando.setString(2, novoProduto.getDescricao());
				comando.setInt(3, novoProduto.getQuantidade());
				comando.setDouble(4, novoProduto.getValor());
				comando.setInt(5, novoProduto.getDesconto());

				// executando sql //
				comando.executeUpdate();

				// fechando
				comando.close();
				con.close();
			} catch (Exception e) {
				// imprimir o erro no console //
				e.printStackTrace();
			}
		}
	}

