package com.servlet.controlador;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.servlet.dao.ProdutoDAO;

@WebServlet("/cadastrarproduto")
public class ServletCadastrar extends HttpServlet{

		@Override
		protected void service(HttpServletRequest request, HttpServletResponse response)
				throws ServletException, IOException {

			// obtendo dados //
			String nomeItem = request.getParameter("nomeItem");
			String descricao = request.getParameter("descricao");
			int quantidade = Integer.parseInt(request.getParameter("quantidade"));
			double valor = Double.parseDouble(request.getParameter("valor"));
			int desconto = Integer.parseInt(request.getParameter("desconto"));

			// mostrar os dados no log //
			System.out.println(nomeItem);
			System.out.println(descricao);
			System.out.println(quantidade);
			System.out.println(valor);
			System.out.println(desconto);

			// cadastrar no banco de dados //
			ProdutoDAO dao = new ProdutoDAO();
			dao.inserir(nomeItem, descricao, quantidade, valor, desconto);

			// redirecionando para o jsp tratar
			RequestDispatcher rd = request.getRequestDispatcher("/produtocadastradosucesso.jsp");
			rd.forward(request, response);
		}
	}
